Bug 1479142 - CephFS Documentation: Fuse mount command needs "-n/--name" param.
CephFS Documentation: Fuse mount command needs "-n/--name" param.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
2.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 2.4
Assigned To: Bara Ancincova
Ramakrishnan Periyasamy
:
Depends On:
Blocks: 1465789
  Show dependency treegraph
 
Reported: 2017-08-08 01:36 EDT by Ramakrishnan Periyasamy
Modified: 2017-09-18 04:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-18 04:45:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ramakrishnan Periyasamy 2017-08-08 01:36:05 EDT
Description of problem:
CephFS document section 4.3 step 8, fuse mount command needs to be updated.

Existing command will fail as below.
[root@host02 ~]$ ceph-fuse -m xx.xx.xx.xx:6789 --keyring=/etc/ceph/qetest.client.host02.keyring /mnt/cephfs/
2017-08-08 05:24:28.669643 7f654e23e040 -1 init, newargv = 0x560a2f904d20 newargc=9ceph-fuse[27080]: starting ceph client

ceph-fuse[27080]: ceph mount failed with 2017-08-08 05:24:28.671749 7f654e23e040 -1 client.0 authentication failed: (22) Invalid argument
(22) Invalid argument

"-n/--name" parameter required along with "--keyring" parameter.

example: ceph-fuse -m xx.xx.xx.xx:6789 -n client.<client-name/id> --keyring=<keyring_path> /mnt/cephfs/ 

Version-Release number of selected component (if applicable):
NA

How reproducible:
NA

Steps to Reproduce:
NA

Actual results:
NA

Expected results:
NA

Additional info:
NA
Comment 2 Ram Raja 2017-08-08 07:57:07 EDT
So you're referring to
https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/2/html/ceph_file_system_guide_technology_preview/mounting_and_unmounting_ceph_file_systems#mounting_ceph_file_systems_in_user_space_fuse

The bug target is set to RHCS 3.0. Can the following typos be fixed in version 2.x as well?

Rama, like you say, in section 4.3 of RHCS 2.x documentaion,
```
# ceph-fuse -m <monitor1-host-name>:6789, <monitor2-host-name>:6789, <monitor3-host-name>:6789 <mountpoint>
```
should be replaced with
```
# ceph-fuse -n client.<client-name> -m <monitor1-host-name>:6789, <monitor2-host-name>:6789, <monitor3-host-name>:6789 <mountpoint>
```

```
# ceph-fuse -m mon1:6789, mon2:6789, mon3:6789 /mnt/mycephfs
```
should be replaced with
```
# ceph-fuse -n client.1 -m mon1:6789, mon2:6789, mon3:6789 /mnt/mycephfs

```


```
# ceph-fuse -m mon1:6789, mon2:6789, mon3:6789 --kerying=/ceph/client1.keyring /mnt/mycephfs
```
should be replaced with
```
# ceph-fuse -n client.1 -m mon1:6789, mon2:6789, mon3:6789 --keyring=/etc/ceph/client1.keyring /mnt/mycephfs
```
Comment 7 Ramakrishnan Periyasamy 2017-09-14 03:15:29 EDT
Moving this bug to Verified state.

Verified the doc It looks good.
Document link mentioned in comment4

Note You need to log in before you can comment on or make changes to this bug.